;(function ($) {
    $.fn.block = function () {
        if ($(this).find('.anbarak-blocker').length < 1) {
            $(this).append('<div class="anbarak-blocker"><span class="anbarak-spinner"></span></div>');
        }
        $(this).css('position', 'relative')
        $(this).find('.anbarak-blocker').hide().fadeIn(300);
        return this;
    }

    $.fn.unblock = function () {
        $(this).find('.anbarak-blocker').fadeOut(300);
        return this;
    }
}(jQuery));